]> Git repositories of Lucie Scarlet - cmakegen.git/commitdiff
Added README and install script
authorLucie Scarlet <lucie@scarlet.moe>
Fri, 12 Jul 2024 10:34:36 +0000 (12:34 +0200)
committerLucie Scarlet <lucie@scarlet.moe>
Fri, 12 Jul 2024 10:34:36 +0000 (12:34 +0200)
Run `./install.sh` to install cmakegen

README.md [new file with mode: 0644]
install.sh [new file with mode: 0755]

diff --git a/README.md b/README.md
new file mode 100644 (file)
index 0000000..0836884
--- /dev/null
+++ b/README.md
@@ -0,0 +1,10 @@
+# CMakeGen
+### A CMakeLists.txt generator
+
+## Installation
+Run `sudo ./install.sh` to install. It installs to `/usr/local/bin`.
+
+## Usage
+Run `cmakegen` on its own (make sure `/usr/local/bin` is in path) to create a C++ project.
+
+Run `cmakegen -c` to create a C project.
diff --git a/install.sh b/install.sh
new file mode 100755 (executable)
index 0000000..bf7b96d
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -euxo pipefail
+
+if [ "$EUID" -ne 0 ]; then
+    echo "This script needs to run as root."
+fi
+
+cp CMakeLists.txt.* cmakegen /usr/local/bin
+
+echo "Installed cmakegen"